diff mbox series

[PULL,19/23] tests/docker: invoke the DEBUG shell with --noprofile/--norc

Message ID 20190723103612.5600-20-alex.bennee@linaro.org
State New
Headers show
Series None | expand

Commit Message

Alex Bennée July 23, 2019, 10:36 a.m. UTC
It's very confusing when things work in the debug shell because the
environment is different from what the test is running. Fix this by
ensuring we only have the inherited environment from the run shell.

Signed-off-by: Alex Bennée <alex.bennee@linaro.org>
Reviewed-by: Philippe Mathieu-Daudé <philmd@redhat.com>
diff mbox series

Patch

diff --git a/tests/docker/run b/tests/docker/run
index 7aebf4b5698..1014871fec0 100755
--- a/tests/docker/run
+++ b/tests/docker/run
@@ -62,7 +62,7 @@  echo "* Prepared to run command:"
 echo "  $CMD"
 echo "* Hit Ctrl-D to continue, or type 'exit 1' to abort"
 echo
-$SHELL
+$SHELL --noprofile --norc
 
 if "$CMD"; then
     exit 0
@@ -72,7 +72,7 @@  elif test -n "$DEBUG"; then
     echo "* Hit Ctrl-D to exit"
     echo
     # Force error after shell exits
-    $SHELL && exit 1
+    $SHELL --noprofile --norc && exit 1
 else
     exit 1
 fi